curl -X GET "http://CONTROL_PLANE_IP:PORT/get_vnc_url/vm-abc123"
{
"status": "success",
"vm_id": "vm-abc123",
"vnc_url": "https://sandbox.outlier.ai/vm-8000/?path=vm-8000/websockify&resize=scale&reconnect=true&autoconnect=true",
"vnc_port": 8000
}
{
"error": "Desktop environment not found for VM: vm-abc123."
}
Control Plane
Get VNC URL
Get the VNC connection URL for a VM
GET
/
get_vnc_url
/
{vm_id}
curl -X GET "http://CONTROL_PLANE_IP:PORT/get_vnc_url/vm-abc123"
{
"status": "success",
"vm_id": "vm-abc123",
"vnc_url": "https://sandbox.outlier.ai/vm-8000/?path=vm-8000/websockify&resize=scale&reconnect=true&autoconnect=true",
"vnc_port": 8000
}
{
"error": "Desktop environment not found for VM: vm-abc123."
}
Returns the VNC URL for connecting to a specific desktop environment. The VM must already be created and running.
Path Parameters
string
required
VM identifier
Response
string
Result status (
success)string
VM identifier
string
Full VNC connection URL
integer
VNC port number
curl -X GET "http://CONTROL_PLANE_IP:PORT/get_vnc_url/vm-abc123"
{
"status": "success",
"vm_id": "vm-abc123",
"vnc_url": "https://sandbox.outlier.ai/vm-8000/?path=vm-8000/websockify&resize=scale&reconnect=true&autoconnect=true",
"vnc_port": 8000
}
{
"error": "Desktop environment not found for VM: vm-abc123."
}